# HP devices

sub hp_discovery {
   $description = shift;

   if($description =~ m/HP ETHERNET MULTI-ENVIRONMENT/) {
      $description_new = snmpget('.1.3.6.1.2.1.25.3.2.1.3.1',1);
      if (($description_new ne "null") && ($description_new ne "No response from remote host")) {
         $description = $description_new;
      } elsif ($description_new eq "No response from remote host") {
         $description_new = snmpget('.1.3.6.1.4.1.11.2.3.9.1.1.7.0',1);
         if ($description_new ne "null") {
            @infos = split(/;/,$description_new);
            foreach (@infos) {
               if ($_ =~ /^MDL:/) {
                  $_ =~ s/MDL://;
                  $description = $_;
               }
            }
         }
      }
   }
   return $description;
}


1;