sub constructxmlDevice {
#   \%ArraySNMPget,\%ArraySNMPwalk,$IP,$ID,$entity,$error,$agent_version,$config_key,$type,$insertXML



   $actualdate = date($time);
   $xml= "   <device>\n";
   $xml.= "      <infos>\n";
   $xml.= "         <ip>$IP</ip>\n";
   $xml.= "         <id>$ID</id>\n";
   $xml.= "         <entity>$entity</entity>\n";
   $xml.= "         <type>$type</type>\n";
   $xml.= "         <date>".$actualdate->{date}." ".$actualdate->{heure}."</date>\n";
   $xml.= "         <agentversion>".$agent_version."</agentversion>\n";
   $xml.= "         <agentkey>".$config_key."</agentkey>\n";
   $xml.= "         <error><![CDATA[$error]]></error>\n";
   $xml.= "      </infos>\n";

   while (($object,$oid) = each (%ArraySNMPget)) {
      if ($oid eq "noSuchObject") {
         $oid = "";
      }
      $xml.= "      <get>\n";
      $xml.= "         <object>$object</object>\n";
      $xml.= "         <oid><![CDATA[$oid]]></oid>\n";
      $xml.= "         <vlan></vlan>\n";
      $xml.= "      </get>\n";
   }
   while (($object,$oid) = each (%ArraySNMPwalk)) {
      if ($oid eq "noSuchObject") {
         $oid = "";
      }
      $xml.= "      <walk>\n";
      $xml.= "         <object>$object</object>\n";
      $xml.= "         <oid><![CDATA[$oid]]></oid>\n";
      $xml.= "         <vlan></vlan>\n";
      $xml.= "      </walk>\n";
   }
   $xml.= $insertXML;
   $xml.= "   </device>\n";
   return $xml;
}


sub constructxmlGetWalkVlan {
   $xml = "";
   while (($object,$oid) = each (%ArraySNMPget_vlan)) {
      if ($oid eq "noSuchObject") {
         $oid = "";
      }
      $xml.= "      <get>\n";
      $xml.= "         <object>$object</object>\n";
      $xml.= "         <oid><![CDATA[$oid]]></oid>\n";
      $xml.= "         <vlan>$vlanID</vlan>\n";
      $xml.= "      </get>\n";
   }
   while (($object,$oid) = each (%ArraySNMPwalk_vlan)) {
      if ($oid eq "noSuchObject") {
         $oid = "";
      }
      $xml.= "      <walk>\n";
      $xml.= "         <object>$object</object>\n";
      $xml.= "         <oid><![CDATA[$oid]]></oid>\n";
      $xml.= "         <vlan>$vlanID</vlan>\n";
      $xml.= "      </walk>\n";
   }
   return $xml;
}

sub constructxmlDiscovery {
   $actualdate = date($time);
   $xml= "   <discovery>\n";
   $xml.= "      <name><![CDATA[".$_[1]."]]></name>\n";
   $xml.= "      <description><![CDATA[".$_[0]."]]></description>\n";
   $xml.= "      <serial><![CDATA[".$_[2]."]]></serial>\n";
   $xml.= "      <type><![CDATA[".$_[4]."]]></type>\n";
   $xml.= "      <ip>".$_[3]."</ip>\n";
   $xml.= "      <entity>".$_[5]."</entity>\n";
   $xml.= "      <modelSNMP>".$_[6]."</modelSNMP>\n";
   $xml.= "      <authSNMP>".$_[7]."</authSNMP>\n";
   $xml.= "      <date>".$actualdate->{date}." ".$actualdate->{heure}."</date>\n";
   $xml.= "   </discovery>\n";
   return $xml;
}

sub constructxmlAgent {
   $actualdate = date($time);
   $xml= "   <agent>\n";
   $xml.= "      <version><![CDATA[".$_[0]."]]></version>\n";
   $xml.= "      <id><![CDATA[".$_[1]."]]></id>\n";
   $xml.= "      <ip>".$_[2]."</ip>\n";
   $xml.= "      <pid>".$_[3]."</pid>\n";
   $xml.= "      <end_date>".$actualdate->{date}." ".$actualdate->{heure}."</end_date>\n";
   $xml.= "      <start_time_discovery>".$_[4]."</start_time_discovery>\n";
   $xml.= "      <end_time_discovery>".$_[5]."</end_time_discovery>\n";
   $xml.= "      <discovery_queries_total>".$_[6]."</discovery_queries_total>\n";
   $xml.= "      <start_time_query>".$_[8]."</start_time_query>\n";
   $xml.= "      <end_time_query>".$_[9]."</end_time_query>\n";
   $xml.= "      <num_files>".$_[7]."</num_files>\n";
   $xml.= "   </agent>\n";
   return $xml;
}


1;